From 2d30f58a561e45eebed41086862b24f2f9e52ff4 Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Aug 12 2021 11:52:13 +0000
Subject: [PATCH 6/11] moved translation to public folder


---

diff --git a/src/App.js b/src/App.js
index 7cefd22..967492e 100644
--- a/src/App.js
+++ b/src/App.js
@@ -4,7 +4,7 @@ import { BrowserRouter } from "react-router-dom"
 import Wizard from "./wizard/Wizard"
 import LandingPage from "./landingpage/LandingPage"
 import NotFound from "./NotFound"
-import "./i18n"
+
 const App = () => {
   return (
     <BrowserRouter basename={window.env.SUBDIR}>
diff --git a/src/i18n.js b/src/i18n.js
index 97a746e..e485f7f 100644
--- a/src/i18n.js
+++ b/src/i18n.js
@@ -1,18 +1,12 @@
 import i18n from "i18next"
-import detector from "i18next-browser-languagedetector"
+import LanguageDetector from "i18next-browser-languagedetector"
 import { initReactI18next } from "react-i18next"
 import Backend from "i18next-http-backend"
-import en from "./translation/en.json"
 
-const resources = {
-  en: {
-    translation: en,
-  },
-}
 
 i18n
   .use(Backend)
-  .use(detector)
+  .use(LanguageDetector)
   .use(initReactI18next)
   .init({
     react: {
@@ -21,14 +15,14 @@ i18n
     fallbackLng: "en",
     debug: true,
     keySeparator: false,
-
+  
     interpolation: {
       defaultVariables: {
         screenName: "foo",
       },
       escapeValue: false,
     },
-    resources,
   })
+  
 
 export default i18n
diff --git a/src/index.js b/src/index.js
index 55cbe3c..cb9bf6c 100644
--- a/src/index.js
+++ b/src/index.js
@@ -1,9 +1,8 @@
 import React from "react"
 import ReactDOM from "react-dom"
-
 import "./index.css"
 import "typeface-open-sans"
-
+import "./i18n"
 import App from "./App"
 import * as serviceWorker from "./serviceWorker"
 import { createStore, applyMiddleware, compose } from "redux"
diff --git a/src/wizard/FedoraEasyKarma.js b/src/wizard/FedoraEasyKarma.js
index 73c9f85..783c494 100644
--- a/src/wizard/FedoraEasyKarma.js
+++ b/src/wizard/FedoraEasyKarma.js
@@ -4,6 +4,12 @@ import { Trans, useTranslation } from "react-i18next"
 
 export default (props) => {
   const { t } = useTranslation()
+  const sudo_dnf="sudo dnf update --refresh"
+  const sudo_dnf_install="sudo dnf install fedora-easy-karma"
+  const dnf="dnf --enablerepo=updates-testing list --refresh --upgrades"
+  const sudo_dnf_enablepo="sudo dnf --enablerepo=updates-testing update PACKAGE_NAME"
+  const fedora_easy_karma="fedora-easy-karma --fas-username=FAS_USERNAME"
+  const sudo_dnf_distro ="sudo dnf distro-sync"
 
   if (props.data === undefined) return null
   else
@@ -13,8 +19,7 @@ export default (props) => {
         {t("Before_a_new_version_of_a_package")}{" "}
         <CollapsableBadge expand_text="Tell me more about the process!">
           <Trans
-            i18nKey="What_is_Karma_Text"
-            components={[<a href="https://bodhi.fedoraproject.org/"> </a>]}>
+            i18nKey="What_is_Karma_Text">
             The updates are kept in{" "}
             <a target="_blank" rel="noopener noreferrer" href="https://bodhi.fedoraproject.org/">
               Bodhi
@@ -48,12 +53,12 @@ export default (props) => {
           </li>
           <li>
             <Trans i18nKey="Make_sure_you">
-              Make sure your system is up-to-date: <code>sudo dnf update --refresh</code>
+              Make sure your system is up-to-date: <code>{{sudo_dnf}}</code>
             </Trans>
           </li>
           <li>
             <Trans i18nKey="Install_fedora_easy_karma_tool">
-              Install fedora-easy-karma tool: <code>sudo dnf install fedora-easy-karma</code>
+              Install fedora-easy-karma tool: <code>{{sudo_dnf_install}}</code>
             </Trans>
           </li>
           <li>
@@ -61,15 +66,15 @@ export default (props) => {
             <CollapsableBadge expand_text={t("Not_sure_how")}>
               <Trans i18nKey="Have_a_look">
                 Have a look at the available packages in <code>updates-testing</code> repo, by
-                running <code>dnf --enablerepo=updates-testing list --refresh --upgrades</code> and
+                running <code>{{dnf}}</code> and
                 choose a package you know.
               </Trans>
             </CollapsableBadge>
           </li>
           <li>
-            <Trans i18nKey="Install_the_packages" components={[<strong></strong>]}>
+            <Trans i18nKey="Install_the_packages">
               Install the package{" "}
-              <code>sudo dnf --enablerepo=updates-testing update PACKAGE_NAME</code>, and test
+              <code>{{sudo_dnf_enablepo}}</code>, and test
               whether it works, as you would expect.
               <br />
               <strong>Note:</strong> Other packages from <code>updates-testing</code> repo may be
@@ -78,12 +83,11 @@ export default (props) => {
             </Trans>
             <CollapsableBadge expand_text={t("Need_some_tips")}>
               <Trans
-                i18nKey="Sometimes_the_update"
-                components={[<br />, <code>fedora-easy-karma --fas-username=FAS_USERNAME</code>]}>
+                i18nKey="Sometimes_the_update">
                 Sometimes, the update associated with the package you just installed fixes some
                 specific bugs, or has testcases associated with it.
                 <br />
-                Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code>, and look for{" "}
+                Run <code>{{fedora_easy_karma}}</code>, and look for{" "}
                 <code>Bugs</code>, <code>Test Cases</code>, and/or <code>Notes</code> sections in
                 the detailed output.{" "}
               </Trans>
@@ -106,7 +110,7 @@ export default (props) => {
           </li>
           <li>
             <Trans i18nKey="Run_fedora_easy_karam">
-              Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code> and report what you
+              Run <code>{{fedora_easy_karma}}</code> and report what you
               found out.{" "}
             </Trans>
             <CollapsableBadge expand_text={t("New_to_fedora")}>
@@ -117,17 +121,11 @@ export default (props) => {
                 You are then presented with the relevant updates one-by-one, to submit Karma and a
                 comment.{" "}
               </Trans>
-              <ModalBadge expand_text={t(" Not_sure_what_Karma_means")}>
+              <ModalBadge expand_text={t("Not_sure_what_Karma_means")}>
                 <ol>
                   <li>
                     <Trans
-                      i18nKey="Enter_to_mark_positive"
-                      components={[
-                        <a href="https://fedoraproject.org/wiki/QA:Update_feedback_guidelines">
-                          {" "}
-                        </a>,
-                        <code>1</code>,
-                      ]}>
+                      i18nKey="Enter_to_mark_positive">
                       Enter <code>1</code> to mark positive karma (the update works just fine, as
                       far as you can tell), or <code>-1</code> to mark the package as broken.{" "}
                       <br />
@@ -144,11 +142,7 @@ export default (props) => {
                   </li>
                   <li>
                     <Trans
-                      i18nKey="Add_a_comment_even_if"
-                      components={[
-                        <br />,
-                        <code>I tried openning and editing a document, and it worked.</code>,
-                      ]}>
+                      i18nKey="Add_a_comment_even_if">
                       Add a comment - even if it works, try to describe what you tested. It can be
                       as easy as{" "}
                       <code>I tried openning and editing a document, and it worked.</code> when you
@@ -168,7 +162,7 @@ export default (props) => {
           <li>
             <Trans i18nKey="Restore_the_stable">
               Restore the stable-packages on your system by running{" "}
-              <code>sudo dnf distro-sync</code>
+              <code>{{sudo_dnf_distro}}</code>
             </Trans>{" "}
           </li>
         </ol>
diff --git a/src/wizard/FedoraManualTesting.js b/src/wizard/FedoraManualTesting.js
index e82d0e3..0a2ce35 100644
--- a/src/wizard/FedoraManualTesting.js
+++ b/src/wizard/FedoraManualTesting.js
@@ -1,4 +1,5 @@
 import React, { useState } from "react"
+import ReactDOMServer from "react-dom/server"
 import { Modal, ModalHeader, ModalBody, ModalFooter } from "reactstrap"
 import { CollapsableCard, ModalBadge } from "./components"
 import { Trans, useTranslation } from "react-i18next"
@@ -137,15 +138,15 @@ export function FedoraManualTestingItem(props) {
     case "Base":
       environment_examples = (
         <span>
-          <code>{t("Workstation")}</code>, <code>{t("Server")}</code>, <code>Xfce</code> {t("or")}{" "}
-          <code>{t("Minimal")}</code>
+          <code>Workstation</code>, <code>Server</code>, <code>{t("or")}</code> or{" "}
+          <code>Minimal</code>
         </span>
       )
       break
     case "Desktop":
       environment_examples = (
         <span>
-          <code>{t("Workstation")}</code> {t("or")} <code>KDE</code>
+          <code>Workstation</code> {t("or")} <code>KDE</code>
         </span>
       )
       break
@@ -163,12 +164,13 @@ export function FedoraManualTestingItem(props) {
   const testtype = extra_data.testtype
   const length = extra_data.envs.length > 1 ? "environments are" : "environment is"
   const join = extra_data.envs.join(", ")
-
+  const environment_variables = {__html: ReactDOMServer.renderToString(environment_examples)}
+  
   return (
     <ModalInfo buttonLabel={name}>
       <ol className="steps">
         <li>
-          <Trans i18nKey="Identify_The_Testcase" components={[<a href={matrix_url}> </a>]}>
+          <Trans i18nKey="Identify_The_Testcase">
             Identify the testcase and `environment` in our{" "}
             <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
               Tescase matrix{" "}
@@ -179,9 +181,10 @@ export function FedoraManualTestingItem(props) {
               <li>
                 <Trans i18nKey="Have_a_look_at_the_matrix">
                   Have a look at the matrix. The rows are the testcases, and the columns are the
-                  environments. Most of the time, these are {{ environment_examples }} for the{" "}
-                  {{ testtype }} testcases, but you can also encouter a generic <code>Result</code>{" "}
-                  column, which usually means you can use any media/architecture available.
+                  environments. Most of the time, these are <span dangerouslySetInnerHTML={environment_variables}></span>
+                  for the {{ testtype }} testcases, but you can also encouter a generic{" "}
+                  <code>Result</code> column, which usually means you can use any
+                  media/architecture available.
                 </Trans>
               </li>
               <li>
@@ -195,7 +198,7 @@ export function FedoraManualTestingItem(props) {
         </li>
 
         <li>
-          <Trans i18nKey="Read_the_TestCase" components={[<a href={tc_url}> </a>]}>
+          <Trans i18nKey="Read_the_TestCase">
             Read the{" "}
             <a target="_blank" rel="noopener noreferrer" href={tc_url}>
               Testcase
@@ -250,13 +253,13 @@ export function FedoraManualTestingItem(props) {
                 <ModalBadge expand_text={t("See")}>
                   <ul>
                     <li>
-                      <Trans i18nKey="Have_a_look_at_the_matrix2">
-                        Have a look at the matrix. The rows are the testcases, and the columns are
-                        the environments. Most of the time, these are {{ environment_examples }}{" "}
-                        for the {{ testtype }} testcases, but you can also encouter a generic{" "}
-                        <code>Result</code> column, which usually means you can use any
-                        media/architecture available.
-                      </Trans>
+                      <Trans i18nKey="Have_a_look_at_the_matrix">
+                  Have a look at the matrix. The rows are the testcases, and the columns are the
+                  environments. Most of the time, these are <span dangerouslySetInnerHTML={environment_variables}></span>
+                  for the {{ testtype }} testcases, but you can also encouter a generic{" "}
+                  <code>Result</code> column, which usually means you can use any
+                  media/architecture available.
+                </Trans>
                     </li>
                     <li>
                       <Trans i18nKey="for_this_particular">
@@ -272,7 +275,7 @@ export function FedoraManualTestingItem(props) {
         </li>
 
         <li>
-          <Trans i18nKey="study_the_testcase" components={[<a href={tc_url}> </a>]}>
+          <Trans i18nKey="study_the_testcase">
             Study the{" "}
             <a target="_blank" rel="noopener noreferrer" href={tc_url}>
               Testcase
@@ -316,19 +319,13 @@ export function FedoraManualTestingItem(props) {
               <li>
                 {t("Maybe_you_are_stuck")}{" "}
                 <ModalBadge expand_text={t("dont_have_an")}>
-                  <Trans
-                    i18nKey="If_you_are_not_familiar"
-                    components={[<a href="http://webchat.freenode.net"> </a>]}>
-                    If you are not that familiar with IRC, you can use the{" "}
-                    <a
-                      target="_blank"
-                      rel="noopener noreferrer"
-                      href="http://webchat.freenode.net">
-                      web-interface
-                    </a>{" "}
-                    just enter a Nickname of your choice, #fedora-qa (including the hash sign) in
-                    the Channels field, and click Connect.
-                  </Trans>
+                <Trans i18nKey="Have_a_look_at_the_matrix">
+                  Have a look at the matrix. The rows are the testcases, and the columns are the
+                  environments. Most of the time, these are <span dangerouslySetInnerHTML={{__html: ReactDOMServer.renderToString(environment_examples)}}></span>
+                  for the {{ testtype }} testcases, but you can also encouter a generic{" "}
+                  <code>Result</code> column, which usually means you can use any
+                  media/architecture available.
+                </Trans>
                 </ModalBadge>
               </li>
             </ul>
@@ -343,10 +340,7 @@ export function FedoraManualTestingItem(props) {
             type="btn">
             <Trans
               i18nKey="Great_either_use"
-              components={[
-                <a href={matrix_url}> </a>,
-                <code>&#123;&#123;result|pass|YOUR_NAME_HERE|&#125;&#125;</code>,
-              ]}>
+              >
               Great! Either use <code>relval report-results</code> on command line (make sure to
               install the <code>relval</code> package first), or modify the{" "}
               <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
@@ -360,7 +354,7 @@ export function FedoraManualTestingItem(props) {
 
           <ModalBadge expand_class={t("danger")} expand_text={t("I_found_a_bug")} type="btn">
             <Trans i18nKey="Awesome_ideally_read">
-              Awesome! Ideally read up on https://fedoraproject.org/wiki/How_to_file_a_bug_report
+              Awesome! Ideally read up on <a target="_blank" rel="noopener noreferrer" href="https://fedoraproject.org/wiki/How_to_file_a_bug_report">How_to_file_a_bug_report</a>
               <br />
               If you don't feel like reading a wall of text, at least pot together a small document
               containing:
@@ -373,22 +367,20 @@ export function FedoraManualTestingItem(props) {
               <li>{t("note_what_you_did")}</li>
               <li>{t("try_to_reproduce_the")}</li>
               <li>
-                <Trans
-                  i18nKey="Share_your_notes"
-                  components={[<ModalBadge expand_text={t("dont_have_an")}></ModalBadge>]}>
+                <Trans i18nKey="Share_your_notes">
                   Share your notes on the internet (you can use fpaste), and ask for help with
                   filing the bug report on our IRC channel #fedora-qa at freenode.net{" "}
+                  </Trans>
                   <ModalBadge expand_text={t("dont_have_an")}>
-                    If you are not that familiar with IRC, you can use the web-interface[link] just
-                    enter a Nickname of your choice, #fedora-qa (including the hash sign) in the
-                    Channels field, and click Connect.
+                    <Trans i18nKey="If_you_are_not_familiar">
+                    If you are not that familiar with IRC, you can use the <a target="_blank" rel="noopener noreferrer" noreferrer href="http://webchat.freenode.net">web-interface </a>
+                    just enter a Nickname of your choice, #fedora-qa (including the hash sign) in the Channels field, and click Connect
+                    </Trans>
                   </ModalBadge>
-                </Trans>
               </li>
             </ul>
             <Trans
-              i18nKey="Once_you_get_the_bug"
-              components={[<a href={matrix_url}> </a>, <code></code>]}>
+              i18nKey="Once_you_get_the_bug">
               Once you get the Bug reported, make sure to also submit the result into the testing
               matrix. Either use <code>relval report-results</code> on command line (make sure to
               install the <code>relval</code> package first), or modify the{" "}
diff --git a/src/wizard/step/Step4.js b/src/wizard/step/Step4.js
index 87ff0a9..be4796d 100644
--- a/src/wizard/step/Step4.js
+++ b/src/wizard/step/Step4.js
@@ -90,8 +90,7 @@ const Step4 = (props) => {
         return (
           <div className="text-left">
             <Trans
-              i18nKey="Installation_text"
-              components={[<strong>Installation</strong>, <br />, <i>Note:</i>]}>
+              i18nKey="Installation_text">
               The <strong>Installation</strong> testcases generally deal with a part of the
               installation procedure. You will certainly need an installation ISO, and either a
               Virtual or Bare-metal machine to run the test.
@@ -105,7 +104,7 @@ const Step4 = (props) => {
       case "Desktop":
         return (
           <div className="text-left">
-            <Trans i18nKey="Desktop_Text" components={[<strong>Installation</strong>, <br />]}>
+            <Trans i18nKey="Desktop_Text">
               The <strong>Desktop</strong> testcases cover basic functionality of the desktop
               environment.
               <br />
@@ -118,9 +117,7 @@ const Step4 = (props) => {
       case "Base":
         return (
           <div className="text-left">
-            <Trans
-              i18nKey="Base_Text"
-              components={[<strong>Installation</strong>, <br />, <i>Pro tip:</i>]}>
+            <Trans i18nKey="Base_Text">
               The <strong>Base</strong> testcases cover the system&#x27;s basic functionality just
               after a clean installation.
               <br />
@@ -136,7 +133,7 @@ const Step4 = (props) => {
       case "Server":
         return (
           <div className="text-left">
-            <Trans i18nKey="Server_Text" components={[<strong>Installation</strong>, <br />]}>
+            <Trans i18nKey="Server_Text">
               The <strong>Server</strong> testcases usually require multiple machines to test the
               server-client behaviour, and might feel a bit advanced.
             </Trans>
@@ -147,14 +144,7 @@ const Step4 = (props) => {
         return (
           <div className="text-left">
             <Trans
-              i18nKey="Cloud_Text"
-              components={[
-                <a href="https://fedoraproject.org/wiki/Test_Results:Fedora_Current_Cloud#Cloud_Provider_Setup">
-                  {" "}
-                </a>,
-                <strong>Cloud</strong>,
-                <br />,
-              ]}>
+              i18nKey="Cloud_Text">
               Even thought the <strong>Cloud</strong> testcases are best done in the specific
               environments like EC2 or Openstack, you can also perform them locally using
               Testcloud.

